PT BIA - Bug #3873

Validasi Template Upload PHRPA0018 (Absence)
09/12/2025 11:06 AM - Mr Ikmal

Status: QA Test Start date: 09/12/2025
Priority: High Due date: 09/16/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Team Developer,

Mohon bantuannya untuk menambahkan validasi pada template upload PHRPAQO018 (Absence). Hasil test sy tadi, jika field
TotalAbsenceTaken diisi dengan nilai 0,5, data yang masuk terbaca menjadi 5. Tapi kalau 0.5 nah itu aman masuknya juga 0.5 dia
db.

Agar tidak terjadi kesalahan input, mohon ditambahkan validasi saat upload: apabila field TotalAbsenceTaken menggunakan tanda
koma (,) maka proses upload di reject, karena format tersebut tidak sesuai. Hal ini untuk mencegah potensi human error dari user di
kemudian hari.

Terima kasih.

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468

Nama DB : MinovakES_BIA_BaseServerCloud

History

#1 - 09/12/2025 02:32 PM - Kezia Pawitra Yulianti

- Due date set to 09/16/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to High

#2 - 09/12/2025 03:02 PM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , ini karena 1 saving engine yang di kerjakan mba yomma jadi sekalian aja untuk issue ini ke mba yomma , udah kordinasi juga
makasih

#3 - 09/12/2025 03:06 PM - Mr Ikmal

- Status changed from Revise to Assigned

- Assignee changed from Mr Ikmal to Tri Rizqgiaty

mba yomma, mohon dibantu ya

#4 - 09/12/2025 04:14 PM - Tri Rizqiaty
- File PHRPA0017_Upload.xls added
- File PHRPA0018_Upload.xls added

- Status changed from Assigned to Developing

Fixing :
Cara pengisiannya :

jika dalam text : '0.5
jika dalam general/number : 0,5

09/12/2025 12



http://remote.minovais.com:61139/

terlampir contoh upload

#5 - 09/12/2025 04:14 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Mr Ikmal

Files

PHRPA0018 - Template Upload Leave.xls 9.75 KB 09/12/2025 Mr Ikmal

PHRPAQ0017_Upload.xls 11.7 KB 09/12/2025 Tri Rizgiaty

PHRPA0018_Upload.xls 11.4 KB 09/12/2025 Tri Rizgiaty
09/12/2025
